using SqlSugar;

namespace DeviceRepair.Models.Plan.View
{
    /// <summary>
    /// 数据源导入
    ///</summary>
    [SugarTable("View_PM_Plan_Progress")]
    public class View_PM_Plan_ProgressInfo
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "PlanAutoID")]
        public int PlanAutoID { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "EquipmentID")]
        public int EquipmentID { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "PlanYear")]
        public int PlanYear { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "PlanMonth")]
        public int PlanMonth { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "PlanType")]
        public string PlanType { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "RecordAutoID")]
        public int RecordAutoID { get; set; }

    }
}
